Сайт | Скачать | Видео | Wiki

Автор Тема: mimi linux - для просмотра интернета и ютуба на ретро-компьютерах  (Прочитано 2099 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 1400
  • Репутация: +20/-0
 вроде было вкратце.
 иначе - каждому - свой дистр?
Samsung RV510: intel pent.T4500; чипсет intel Gl40; ATI mob. Radeon HD 5145, RAM=3Gb; hd1 - Grub2; hd2 - Gr4D; PRA frugal, copy2ram.
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 1400
  • Репутация: +20/-0
   В "mimi" - базис-Richi32 с либами для модулей от ПРА03 ( как-то пробовал собрать для Richy Links2- устал).
   "Права", конфиги, основа на "старом-Ричи-iso" и прочее  - конечно присутствуют. Для себя вижу - как но основе "предшествующего" сделать хотябы "простую ! и быструю медиа-сборку".
   
   К Ричи32 - отношение двойственное - и тяжело на "слишком чистой сборке" , и есть шанс в чем-то разобраться ( пока не раздуто)

upd:
  про скорость - "отдельный разговор"
« Последнее редактирование: 02 Август 2019, 20:56:26 от knn »
Samsung RV510: intel pent.T4500; чипсет intel Gl40; ATI mob. Radeon HD 5145, RAM=3Gb; hd1 - Grub2; hd2 - Gr4D; PRA frugal, copy2ram.
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26523
  • Репутация: +179/-0
    • PuppyRus-A
пфс-утилиты не запускаются
https://github.com/pfs-utils/pfs-utils-cli/
нет Хдиалог то гтк-диалог
установите
не понятно, какие библиотеки нужны
ldd или скрипт dep-find из пра

Возможно это
хромиум-подобные при запуске пишут что-то терминале:
libpango:
fribidi get bracket
следствие этого
арче-дебиано-убунтовая ПатрикоуГОДНАЯ сборка :) - база, иксы и айсвм от слаквари,
библиотеки из ДДР - от дебиана, часть из реп. арча и убунту
Очень плохая идея. База должна быть максимально донорская

Эксперименты с чужими либами - в /opt (т.е. портируйте)
http://forum.puppyrus.org/index.php?topic=21945.msg160195#msg160195

Прикрученные pfs-portable - пожалуй, самое полезное, в Вашем дистре. Без этого Ричи вообще голый и без средств сборки модулей софта

может быть кто-то сможет добавить в неё в качестве базового модуля - модули от ддр ,пра и других.
Чем результат будет отличаться от ддр ,пра и других ?

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 1400
  • Репутация: +20/-0
    Links2

Теперь есть
# links
links: error while loading shared libraries: libgomp.so.1: cannot open shared object file: No such file or directory
Samsung RV510: intel pent.T4500; чипсет intel Gl40; ATI mob. Radeon HD 5145, RAM=3Gb; hd1 - Grub2; hd2 - Gr4D; PRA frugal, copy2ram.
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ

Оффлайн DdShurick

  • Это Риччи
  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 7181
  • Репутация: +167/-2
  • Старый чайник
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)
Вопросы: DdShurick@jabber.ru

Оффлайн knn

  • Ветеран
  • *****
  • Сообщений: 1400
  • Репутация: +20/-0
Добавил.
- не качает(ся).
------------
Запустил links-2.8-1 от ПРА03 - читает "читать далее" на Форуме ( другие версии заставить "читать" пока не удалось ).
Samsung RV510: intel pent.T4500; чипсет intel Gl40; ATI mob. Radeon HD 5145, RAM=3Gb; hd1 - Grub2; hd2 - Gr4D; PRA frugal, copy2ram.
Sams-n110: N270 - 1,6 ГГц, Intel GMA 950, RAM=2 ГБ

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 104
  • Репутация: +2/-0
 в iso  версия links  такая:
Links-2.8-1_patched_drk-kn02.pfs
она работает сразу, без всяких библиотек.
2 видосика в архиве, на коротком - запуск links - версия из iso:
http://fayloobmennik.cloud/7366713
а сейчас пробую с новым модулем базы из облака ричи, в нём тоже работает.
на длинном видео это видно, и ещё там с новым модулем проблемка:
при запуске меню перезаписывается menu - > menu .old
 как это отключить? после перезапуска icewm появляется полное меню, но не то,
что вручную сделано(в сохранёнке). а сгенерированное, с повторами.
не понятно, что у  вас за версии links такие?


Прикрученные pfs-portable - пожалуй, самое полезное, в Вашем дистре. Без этого Ричи вообще голый и без средств сборки модулей софта

может быть кто-то сможет добавить в неё в качестве базового модуля - модули от ддр ,пра и других.
Чем результат будет отличаться от ддр ,пра и других ?
тем, что простой сменой базового модуля сборка будет пра(арчем) ддр(дебиан) ричи -слаквари(как сейчас) или пуппи, вот же выше сообщение:
Мешает другое, разные стандарты и фишки доноров
Это есть, но это все будет только в базе
Кроме того есть совсем общие стандарты типа xfreedesktop
Все остальные компоненты вполне совместимы и перемещаемы

а портативные модули - это же одна из основный идей из той темы, чтобы не переделывать модули под свою сборку, как  в других линуксах авторы постоянно переупаковывают, после выхода новых версий программ, а брать готовые, а если не запускается, то добавлять модули с либами (как здесь в сборке *-lib-*) и тогда неизменённый модуль работает:
 в iso модули из всех реп пра (old test portable и основной) и из  ddr, а также из пуппи (ff48 вроде и либа  libgconf)  из репы убунты  libpng12 libjpeg62
надо ещё попробовать сразу пакеты  deb  подключать вот так:
нажимаем на него - запускается программка , похожая на  apt2pfs , распаковывает в кэш,
упаковывает в  pfs и подключает  в новый слой (папку или  pfs, что удобнее),
главное - чтобы это было  "на растоянии одного клика", без кучи дополнительных вопросов.
А в след. раз можно из кеша брать. А для особых случаев подключения - пункт в меню по правой кнопке мыши - и тогда уже окошко  с кучей опций.
Вроде всё для такого уже есть?
И для  pet такое же сделать в будущем, и для других форматов  - архивов  rpm и от арча/слаквари   tar.xz  - один клик на пакете - и он подключился!
Вот так я хочу!

 ldd /путь/модуль  | grep found
 показывает несколько штук для тех модулей,которые не запускаются, буду добавлять,

 pfs-cli утилиты при запуске говорят, что синтаксис нне нравиться в 188 строке в скрипте pfs.
  а в облаке ричи уже более новая версия модуля  base.
 когда запускаю в новым - pfs утилиты работают!
 можно в терминале подключать и отключать  pfsload pfsunload
 и монтировать отмонтировать  mountfile umountfile

« Последнее редактирование: 04 Август 2019, 22:59:38 от ШАМАНЯ »

Оффлайн DdShurick

  • Это Риччи
  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 7181
  • Репутация: +167/-2
  • Старый чайник
не то,
что вручную сделано(в сохранёнке). а сгенерированное, с повторами.
Удалить или запретить исполнение fixmenus или icewm-menu.
что у  вас за версии links такие?
Официальные.
« Последнее редактирование: 04 Август 2019, 22:41:00 от DdShurick »
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)
Вопросы: DdShurick@jabber.ru

Оффлайн DdShurick

  • Это Риччи
  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 7181
  • Репутация: +167/-2
  • Старый чайник
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)
Вопросы: DdShurick@jabber.ru

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26523
  • Репутация: +179/-0
    • PuppyRus-A
сменой базового модуля сборка будет пра(арчем) ддр(дебиан) ричи -слаквари(как сейчас) или пуппи
Чем результат будет отличаться от ддр ,пра и других ?

надо ещё попробовать сразу пакеты  deb  подключать вот так:
нажимаем на него - запускается программка , похожая на  apt2pfs , распаковывает в кэш,
упаковывает в  pfs и подключает  в новый слой (папку или  pfs, что удобнее),
главное - чтобы это было  "на растоянии одного клика", без кучи дополнительных вопросов.
Так красиво не получится, т.к. базы apt нет
Можно только распаковать, найти зависимости и как-то автоматизировать скачку зависимостей
Примерно это  (вроде ) и реализовано в ПМ пупи...

Вообще - если нет проблем с размером модулей - самое простое - запускать модули из других дитстров через контейнер

ldd /путь/модуль  | grep found
Освойте dep-find
pfs утилиты работают!
Еще 1 шаг к стандартизации сделан
« Последнее редактирование: 05 Август 2019, 11:44:10 от sfs »

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 104
  • Репутация: +2/-0
Update mimi 07.08.2019
« Ответ #40 : 07 Август 2019, 12:45:09 »
Update mimi 07.08.2019
http://fayloobmennik.cloud/7366917
Обновление файла 088-fix-save-mimi.pfs ~ 10Mb!
Чтобы обновить, нужно сделать так:
Старый файл 088-fix-save-mimi.pfs перенести из папки  autoload в папку  soft,  обновленный файл 088-fix-save-mimi.pfs скопировать в папку  autoload.
Что нового?
Настроенное меню, горячие клавиши для некоторых программ и запуск файлов в определённых программах в зависимости от их расширения.
В  SMPlayer настройка на просмотр ютуб в качестве ""Наилучшее" - будет показывать в качестве 720p.
Это можно менять в настройках в пункте "сеть"(слева), в правом окне вместо качества "Наилучшее"
выбирать другое Наихудшее, 144 240 360 480 720 ,а для мощных компов можно выбрать 1080, 4K, "Наилучшее качестов аудио и видео" - в последнем варианте
будет воспроизводится видео в качестве до 8К  - при условии, что такое есть на ютубе .

Список горячих клавиш, клавиша Super  - это клавиша с изображением окошек слева от кнопки  ALT или справа.

key "Super+z"         urxvt
key "Super+e"         geany
key "Super+f"                 light
key "Super+w"         palemoon
key "Super+d"         doublecmd
key "Super+o"         openoffice
key "Super+x"         pcmanfm
key "Super+y"         smtube
key "Super+s"         smplayer
key "Super+q"         QMPlay2
key "Super+v"         vlc
key "Super+g"         gimp
key "Super+l"          xlinks -g   

Из закладок на будущее:
pfs-утилиты , будут работать при замене базового модуля на новую версию из облака ричи. но только в текстовом режиме от рута. в графическом режиме  несовместимость версий - они используют  sudo, а здесь его нет, только  su.  Надо что-то придумывать.
сохранение настроек в файл от  DdShurick - пока не нужно использовать,он работает, но совсем не так, как в пра, надо изучать. Там слои в обратном порядке подключаются.
Остались такие ошибки:
1) - В  doublecmd  при копировании в домашнюю папку, если она в памяти, появляется ошибка
"Нет свободного места", нажимаем - "пропустить", копируется нормально.
2) После  загрузки диски/флешки с разделами  fat32 смонтированы в режиме только для чтения для обычного пользователя - для записи на них надо переходить в терминале в режим рут командой  su,  пароль  woofwoof  и потом запускаем файловый менеджер:
mc
или
pcmanfm
или
spacefm
или
rox
Разделы  ext2,3,4 монтируются с правами заданными на них, если один раз разрешить (от рута) запись для пользователя live  папку на таком разделе, то в дальнейшем можно записывать с обычными правами пользователя  live.
3) не запускается  qmplay2 - решение в следующем сообщении.
4) id пока осталось 500, но в новом базовом модуле на облаке ричи уже  id 1000,
5) в  программе  double commander  периодически глюк при переименовании файла/папки,
когда удаляешь символ клавишей backspace - курсор прыгает вправо на 1 символ.
Наблюдается и на другой версии 0.7.2.
P.S. Вроде-бы ничего не сломалось :)
Для пользователей, которым не подходит браузер  firefox 48 light, который  в  iso:
Вот тут есть все версии браузеров  firefox, выбирайте любую. до 47-й (в версия выше не будет звука,если сильно надо,можно пробовать добавлять модуль  apulse из пра ) .
https://ftp.mozilla.org/pub/firefox/releases/
Версия firefox 45.9esr работает:
https://ftp.mozilla.org/pub/firefox/releases/45.9.0esr/linux-i686/ru/firefox-45.9.0esr.tar.bz2

Upd:


Удалить или запретить исполнение fixmenus или icewm-menu.
chmod -x
помогло, меню показывает вручную настроенное, но тут сразу появляется вопрос:
при добавлении новых модулей программ  их названия в меню нет, что делать?
странный этот icewm :(

Upd2:
кто будет запускать на компах с памятью больше 2Гб, используйте ядро линукс 4.х,
которое в ричи.исо kernel-4.14.77-pf10.xzm и модуль  kernel-4.14.77-pf10.xzm
можно взять отсюда:
https://cloud.mail.ru/public/6aqw/XGc2NcS5D/boot/
https://cloud.mail.ru/public/6aqw/XGc2NcS5D/BB_32/base/
« Последнее редактирование: 11 Август 2019, 16:19:03 от ШАМАНЯ »

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 104
  • Репутация: +2/-0
mimi - новости
« Ответ #41 : 11 Август 2019, 15:33:34 »
Запустились программы  QMPlay, VirtualBox , wine 2.19

В firefox 48 light есть звук на других сайтах, кроме ютуба.
Примеры:
звучит радио - radiopotok.ru
сериалы со звуком можно смотреть  в качестве до 1080p тут:
kinogo.by
lordsfilms.tv
Для разных сайтов используется flash player 32.0 r0. Но он уже устарел.
Нужно обновить на сайте adobe до 32.0.223
В palemoon 28.х звук везде.


Для  запуска QMPlay2 нужно удалить файл с неправильными правами, в домашней папке папка .config в ней файл Trolltech.conf

Для опытных пользователей:

Для wine 2.19  нужно в папку /mimi/base скачать новый модуль *base.xzm   из облака ричи, вроде бы этот:
https://cloud.mail.ru/public/37rW/46Ki61Xwz
DdShurick их периодически обновляет.
размер нового модуля base 41308К в mc, тот модуль base, что   в mimi.iso имеет размер 37912К  в mc.
Из папки base переместить в папку soft модуль 001-base.xzm
Перезагрузить.
В новом модуле id пользователя равен 1000.  Поэтому часть программ  перестанут запускаться. Это netsurf,palemoon,firefox и некоторые ещё. Нужно будет или их переупаковать в  pfs и заменить.
Или брать другие версии. Палемун  есть  версия 28.6.1.
 
В wine запустяться только очень простые программы, не использующие видеодрайвера. Totalcmd netsurf

Запуститься VirtualBox 5.2.26-full , подробности тут:
http://forum.puppyrus.org/index.php?topic=22010.msg160668#msg160668

Потом будут отдельные темы для wine, и эти изменения будут в следующем обновлении 087-fix.pfs
« Последнее редактирование: 20 Август 2019, 11:15:18 от ШАМАНЯ »

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 734
  • Репутация: +28/-1
  • /dev/hands over /dev/ass
Конкурент для Sfs ;D
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26523
  • Репутация: +179/-0
    • PuppyRus-A
Пока вряд ли
Почти все модули софта мои. Запуск их из под другой системы потенциальному юзеру ничего (размер, ресурсоемкость, удобный ПМ) не дает, кроме доп. проблем с версиями либ
В базе от Дяди Шурика интересны (кому интересны) его разработки. В итоге дистр получается для любителя этих разработок

Но ШАМАНЯ набирается опыта. Надеюсь, до чего-то дорастет. Готов помогать советами и пр.

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 104
  • Репутация: +2/-0
mimi - новости
« Ответ #44 : 13 Август 2019, 16:08:06 »
Пока что я не умею ещё собирать ядро, драйвера, Xorg, base ... Мне ещё качаться и качаться :)

Как собрать mimi.iso с минимумом модулей или со своим набором модулей, тут:
http://forum.puppyrus.org/index.php?topic=21710.msg160576#msg160576

Через wine запустились Total Commander 9.22  и Netsurf 3.9 с офсайтов.
На первый взгляд работают, шрифт в заголовке netsurf  в виде вопросиков, в окне русские буквы видны.
Надо добавлять красивые шрифты.
Всё-таки драйвера  mesa  есть в  Xorg, но не всегда они себя проявляют :(

Запустились  flare  и telegram из этого сообщения:
http://forum.puppyrus.org/index.php?topic=16345.msg160528#msg160528
телеграм до окна ввода имени и пароля. дальше проверить не могу.
В Flare можно русский язык выбрать, запускается новая игра нормально.

Запустился librecad  отсюда:
ftp://ftp.yandex.ru/puppyrus/puppyrus-a/pra03/pfs/librecad-qt4-p-2.0.8.pfs
 
« Последнее редактирование: 20 Август 2019, 11:20:32 от ШАМАНЯ »